<script lang="ts">
	import { goto } from '$app/navigation';
	import { fade } from 'svelte/transition';
	import { routeToPage } from '../utils/utils';

	export let open: boolean = false;

	type pageUrl = {
		url: string;
		title: string;
	};

	const pageList: pageUrl[] = [
		{
			url: '/',
			title: 'Page principale'
		},
		{
			url: '/produit',
			title: 'Mes produits'
		}
	];
</script>

{#if open}
	<div
		class="absolute h-full w-full bg-gris-2 text-white flex items-center justify-center bg-opacity-90"
		style="z-index: 1001;"
		transition:fade
	>
		<div class="flex flex-col justify-around text-white h-fit w-full p-8 font-title gap-8">
			{#each pageList as page}
				<button
					on:click={() => {
						open = false;
						routeToPage(page.url);
					}}>{page.title}</button
				>
			{/each}
		</div>
	</div>
{/if}
